GSET_SEG_TRAN(3NCARG)

NAME
gset_seg_tran (Set segment transformation) - Associates a segment transformation with a named segment.

SYNOPSIS
#include <ncarg/gks.h>

void gset_seg_tran(Gint seg_name, const Gtran_matrix tran_matrix);

DESCRIPTION

seg_name
    (Input) A segment name as used in a previous gcreate_seg call.

tran_matrix
    (Gfloat, Input) - A 2x3 array giving the GKS segment transformation to be associated with the segment specified in seg_name.

USAGE
When the segment named in seg_name is displayed, the coordinates of its primitives are transformed by the matrix specified in tran_matrix.

ACCESS
To use the GKS C-binding routines, load the ncarg_gks and ncarg_c libraries.

SEE ALSO
Online: gaccum_tran_matrix(3NCARG), geval_tran_matrix(3NCARG), gclose_seg(3NCARG), gcreate_seg(3NCARG), gcopy_seg_ws(3NCARG), gdel_seg(3NCARG), ginq_name_open_seg(3NCARG), ginq_set_seg_names(3NCARG), gks(3NCARG), ncarg_gks_cbind(3NCARG)

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.